API Reference

Batch Lookup

Run multiple search queries in a single request with optional federal data enrichment. Business tier and above.

Endpoint

POST /api/v1/batch

Run multiple search queries in a single request with optional federal data enrichment. Business tier and above only. Credits: 1 per query, +2 per query with federal enrichment.

Request Body

NameTypeRequiredDescription
queriesarrayyesArray of search queries (max 25)
queries[].namestringconditionalBusiness name to search
queries[].statestringnoTwo-letter state code. Omit for cross-state search (5 credits)
queries[].agentstringnoRegistered agent name
queries[].includestringnoSet to 'federal' to enrich results (+2 credits)
queries[].limitintegernoResults per query, max 50 (default: 10)

Example Request

cURL
curl -X POST "https://filed.dev/api/v1/batch" \
  -H "Authorization: Bearer fd_live_aBcDeFgH" \
  -H "Content-Type: application/json" \
  -d '{
    "queries": [
      { "name": "Pfizer", "state": "NY", "include": "federal" },
      { "name": "Acme", "state": "FL" },
      { "agent": "CSC Global", "state": "CO", "include": "federal" }
    ]
  }'
Python
import requests

resp = requests.post(
    "https://filed.dev/api/v1/batch",
    headers={
        "Authorization": "Bearer fd_live_aBcDeFgH",
        "Content-Type": "application/json",
    },
    json={
        "queries": [
            {"name": "Pfizer", "state": "NY", "include": "federal"},
            {"name": "Acme", "state": "FL"},
            {"agent": "CSC Global", "state": "CO", "include": "federal"},
        ]
    }
)
Node.js
const res = await fetch("https://filed.dev/api/v1/batch", {
  method: "POST",
  headers: {
    Authorization: "Bearer fd_live_aBcDeFgH",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    queries: [
      { name: "Pfizer", state: "NY", include: "federal" },
      { name: "Acme", state: "FL" },
      { agent: "CSC Global", state: "CO", include: "federal" },
    ],
  }),
});
Go
body := strings.NewReader(`{
  "queries": [
    {"name": "Pfizer", "state": "NY", "include": "federal"},
    {"name": "Acme", "state": "FL"},
    {"agent": "CSC Global", "state": "CO", "include": "federal"}
  ]
}`)

req, _ := http.NewRequest("POST", "https://filed.dev/api/v1/batch", body)
req.Header.Set("Authorization", "Bearer fd_live_aBcDeFgH")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)

Response

{
  "results": [
    {
      "query": { "name": "Pfizer", "state": "NY", "include": "federal" },
      "data": [
        {
          "id": "NY:1393779",
          "name": "PFIZER H.C.P. CORPORATION",
          "state": "NY",
          "type": "Domestic Business Corporation",
          "status": "Active",
          "federal": {
            "sec": { "items": [], "totalCount": 7 },
            "contracts": { "items": [], "totalCount": 500 },
            "lobbying": { "items": [], "totalCount": 1730 }
          }
        }
      ],
      "meta": { "total": 3, "limit": 10, "state": "NY" }
    },
    {
      "query": { "name": "Acme", "state": "FL" },
      "data": [
        {
          "id": "ent_mNqR7xKp",
          "name": "ACME HOLDINGS LLC",
          "state": "FL",
          "type": "LLC",
          "status": "Active"
        }
      ],
      "meta": { "total": 1, "limit": 10, "state": "FL" }
    }
  ]
}

Try It

Test this endpoint in the Playground.